Subject: Mesa/GDM/XFCE

From: Andreas Enge <[email-masked]>
Date: Thu, 12 Sep 2019 11:54:30 +0200

Hello,

now it is my turn to experience a problem in this area. I newly installed a
machine with the graphical installer of Guix 1.0.1 (where I could use xfce
without problem), then I issued a "guix pull" and a "guix system reconfigure".

Now logging into XFCE poses problems, which I can reproduce as follows
(after removing /var/lib/gdm, $HOME/{.config,.cache,.local} once):
- When I remove $HOME/.config/xfce4/xfconf/xfce-perchannel-xml/xfwm4.xml
  I can log into XFCE once.
- The second time, various problems may occur: The terminal, which was open
  before opens, but does not receive focus so I cannot type, and the windows
  decorations for closing it are absent; or the xfce panel is absent.
- Then I remove $HOME/.config/xfce4/xfconf/xfce-perchannel-xml/xfwm4.xml
  again, and can log in once more.
And so on.

The following lines in $HOME/.cache/gdm/session.log appear when there is
a problem:

xfwm4: ../mesa-19.1.4/src/mesa/drivers/dri/i965/intel_mipmap_tree.c:1293: intel_miptree_match_image: Zusicherung �image->TexObject->Target == mt->target� nicht erf�llt.
(nm-applet:8046): nm-applet-WARNING **: 11:23:52.630: GDBus.Error:org.freedesktop.NetworkManager.AgentManager.PermissionDenied: An agent with this ID is already registered for this user.
xfwm4: ../mesa-19.1.4/src/mesa/drivers/dri/i965/intel_mipmap_tree.c:1293: intel_miptree_match_image: Zusicherung �image->TexObject->Target == mt->target� nicht erf�llt.
(nm-applet:8046): Gdk-CRITICAL **: 11:23:53.035: gdk_window_thaw_toplevel_updates: assertion 'window->update_and_descendants_freeze_count > 0' failed
xfwm4: ../mesa-19.1.4/src/mesa/drivers/dri/i965/intel_mipmap_tree.c:1293: intel_miptree_match_image: Zusicherung �image->TexObject->Target == mt->target� nicht erf�llt.
(nm-applet:8046): Gdk-CRITICAL **: 11:23:53.357: gdk_window_thaw_toplevel_updates: assertion 'window->update_and_descendants_freeze_count > 0' failed
xfwm4: ../mesa-19.1.4/src/mesa/drivers/dri/i965/intel_mipmap_tree.c:1293: intel_miptree_match_image: Zusicherung �image->TexObject->Target == mt->target� nicht erf�llt.
(nm-applet:8046): Gdk-CRITICAL **: 11:23:53.441: gdk_window_thaw_toplevel_updates: assertion 'window->update_and_descendants_freeze_count > 0' failed
(xfconfd:7966): xfconfd-CRITICAL **: 11:23:58.040: Name org.xfce.Xfconf lost on the message dbus, exiting.
(Thunar:8030): thunar-WARNING **: 11:23:58.041: Name �org.xfce.FileManager� auf dem Nachrichten-dbus verloren.
(tumblerd:8023): tumblerd-CRITICAL **: 11:23:58.041: Name org.freedesktop.thumbnails.Cache1 lost on the message dbus, exiting.
(Thunar:8030): thunar-WARNING **: 11:23:58.041: Name �org.freedesktop.FileManager1� auf dem Nachrichten-dbus verloren.
(tumblerd:8023): tumblerd-CRITICAL **: 11:23:58.041: Name org.freedesktop.thumbnails.Manager1 lost on the message dbus, exiting.
(tumblerd:8023): tumblerd-CRITICAL **: 11:23:58.041: Name org.freedesktop.thumbnails.Thumbnailer1 lost on the message dbus, exiting.

Sorry for the German, but you also have the translation:
"Zusicherung ... nicht erf�llt" = "assertion ... failed"
"auf dem Nachrichten-dbus verloren" = "lost on the message dbus"

Andreas